%define	module	Module-Signature
%define	name	perl-%{module}
%define	version	0.55
%define	release	%mkrel 2

Version:	%{version}
Name:		%{name}
Release:	%{release}
Summary:	Check and create SIGNATURE files for CPAN distributions
License:	Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/Module/%{module}-%{version}.tar.gz
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildRequires:	perl(Digest::SHA1)
BuildRequires:	perl(PAR::Dist)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This is a perl module to check and create SIGNATURE files
for CPAN distributions.

%prep
%setup -q -n %{module}-%{version}

%build
(echo -n y; yes n) | \
(%{__perl} Makefile.PL INSTALLDIRS=vendor
%make)

%check
yes n | %__make test

%install
rm -rf %{buildroot}
yes n | %{makeinstall_std}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS Changes README
%{_bindir}/*
%{_mandir}/man*/*
%{perl_vendorlib}/Module



%changelog
* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.55-2mdv2008.0
+ Revision: 86655
- rebuild


* Sat Sep 02 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-02 18:24:56 (59619)
- 0.55

* Sat Sep 02 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-02 18:12:53 (59618)
Import perl-Module-Signature

* Thu Jun 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.54-1mdv2007.0
- New release 0.54
- spec cleanup
- don't ship empty directories

* Wed May 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.53-2mdk
- Fix According to perl Policy
	- BuildRequires

* Fri Feb 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.53-1mdk
- 0.53

* Thu Jan 19 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.52-1mdk
- 0.52

* Tue Jan 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.51-1mdk
- 0.51

* Mon Aug 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.50-1mdk
- 0.50

* Thu Aug 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.45-1mdk
- 0.45

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.44-2mdk
- fix deps

* Thu Dec 16 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.44-1mdk
- 0.44

* Thu Dec 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.42-1mdk
- 0.42

* Thu Jul 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.41-1mdk
- 0.41

* Thu Jul 01 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.40-1mdk
- 0.40

* Sat Jun 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.39-1mdk
- 0.39
- drop redundant requires
- cosmetics

* Fri May 21 2004 Florin <florin@mandrakesoft.com> 0.42-1mdk
- first Mandrake Release

